turn3d {rgl} | R Documentation

## Create a solid of rotation from a two-dimensional curve.

### Description

This function “turns” the curve (as on a lathe) to form a solid of rotation along the x axis.

### Usage

    turn3d(x, y = NULL, n = 12, smooth = FALSE, ...)

### Arguments

`x, y` | Points on the curve, in a form suitable for `xy.coords`. The `y` values must be non-negative.
`n` | How many steps in the rotation?
`smooth` | logical; whether to add normals for a smooth appearance.
`...` | Additional parameters to pass to `tmesh3d`.

### Value

A mesh object containing triangles and/or quadrilaterals.

### Author(s)

Fang He and Duncan Murdoch

### See Also

`extrude3d`

### Examples

    x <- 1:10
    y <- rnorm(10)^2
    shade3d(turn3d(x, y), col = "green")

[Package rgl version 0.99.16 Index]